:root {
  --popup-width: 701px;
  --popup-height: 500px;
  --close-x: 28px;
  --close-y: 32px;
  --text-dist: 30px;
  --submit-width: 190px;
  --submit-height: 40px;
  --submit-radius: 20px;
  --submit-fontsize: 1.125em;
  --submit-dist: 16px;
  --thanks-button-dist: 23px;
}

#popup-junesub {
  --yellow: #fff200;
}

#popup-junesub .popup-content {
  width: var(--popup-width);
  height: var(--popup-height);
  padding: 0 15px;
  background-image: url(../images/sub/popup-back.jpg);
  background-image: -webkit-image-set(url("../images/sub/popup-back.jpg") 1x,
      url("../images/sub/popup-back@2x.jpg") 2x);
}

#popup-junesub .popup-close,
#popup-junesub .popup-rules .close-june-sub-rules {
  width: auto;
  height: auto;
  top: 0;
  right: 0;
  padding: var(--close-y) var(--close-x);
}

#popup-junesub .popup-rules .close-june-sub-rules img {
  filter: invert(1);
}

#popup-junesub form {
  margin-top: 20px;
}

#popup-junesub .button {
  width: 10em;
  height: 2.2em;
  border-radius: 1.1em;
  font-size: 1.3em;
  margin-top: 10px;
  background-color: #1d3460;
  font-family: "brandon-grotesque", sans-serif !important;
  font-weight: 500;
  letter-spacing: 3px;
}

#popup-junesub .popup-thanks .button {
  margin-top: 28px;
  width: 11.5em;
}

#popup-junesub .popup-img {
  bottom: -34px;
  max-width: unset;
  left: 50%;
  transform: translateX(-50%);
  z-index: 0;
}

#popup-junesub .button,
#popup-junesub .button:hover,
#popup-junesub .button:active,
#popup-junesub .button:visited,
#popup-junesub .button:focus {
  color: white;
  text-decoration: none;
}

#popup-junesub p {
  margin: 0;
  padding: 0;
  line-height: 1;
}

#popup-junesub .form-text-top {
  font-size: 38px;
  color: #231f20;
  font-weight: bold;
  text-align: center;
  max-width: 378px;
  margin: 0 auto;
}

#popup-junesub .thanks-text {
  font-size: 38px;
  color: #231f20;
  font-weight: bold;
  text-align: center;
  z-index: 1;
}

#popup-junesub .thanks-text1 {
  margin-bottom: 14px;
}

#popup-junesub .thanks-text2 {
  font-size: 30px;
}

#popup-junesub .form-action {
  text-align: center;
}

@supports (background: -webkit-named-image(i)) {
  #popup-junesub .button {
    padding-top: 4px;
  }

  #popup-junesub .popup-thanks .button {
    padding-top: 2px;
  }
}

@media screen and (max-width: 567px) {
  :root {
    --popup-width: 100%;
    --popup-height: 100%;
    --close-x: 16px;
    --close-y: 20px;
    --text-dist: 21px;
    --submit-width: 165px;
    --submit-fontsize: 1em;
    --submit-dist: 6px;
    --thanks-button-dist: 22px;
  }

  #popup-junesub .popup-content {
    width: 100%;
    height: 100%;
    background-image: unset;
    padding: 0;
  }

  #popup-junesub .popup-default,
  #popup-junesub .popup-thanks {
    padding: 0 15px;
    width: 100%;
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-image: url(../images/sub/popup-back-m.jpg);
    background-image: -webkit-image-set(url("../images/sub/popup-back-m.jpg") 1x,
        url("../images/sub/popup-back-m@2x.jpg") 2x);
  }

  #popup-junesub .popup-close {
    width: 47px;
  }

  #popup-junesub .rules-note {
    font-size: 13px;
  }

  #popup-junesub .thanks-button .button {
    width: 170px;
  }

  #popup-junesub .form-text-top {
    font-size: 33px;
    line-height: 32px;
  }

  #popup-junesub .thanks-text {
    font-size: 38px;
    line-height: 37px;
    max-width: 300px;
    z-index: 1;
  }

  #popup-junesub .thanks-text2 {
    font-size: 30px;
  }

  @supports (background: -webkit-named-image(i)) {
    #popup-junesub .button {
      padding-top: 2px;
    }
  }
}